Apache Struts 1 拒绝服务漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1148080 漏洞类型 其他
发布时间 2016-06-07 更新时间 2019-07-17
CVE编号 CVE-2016-1181 CNNVD-ID CNNVD-201606-199
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
https://www.securityfocus.com/bid/91068
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201606-199
|漏洞详情
Apache Struts是美国阿帕奇(Apache)软件基金会的一个开源项目,是一套用于创建企业级Java Web应用的开源MVC框架,主要提供两个版本框架产品,Struts 1和Struts 2。 Apache Struts 1 1.x版本至1.3.10版本中的ActionServlet.java文件存在安全漏洞,该漏洞源于程序没有正确处理对ActionForm实例的多线程访问。远程攻击者可通过发送复合的请求利用该漏洞造成拒绝服务(内存访问错误)。
|受影响的产品
Oracle Communications Converged Application Server 7.0.0.1 IBM Spectrum Control 5.2.11 IBM Security Privileged Identity Manager 2.0.2 Fixpack 8 IBM BigFix Remote Control 9.1.3
|参考资料

来源:github.com
链接:https://github.com/kawasima/struts1-forever/commit/eda3a79907ed8fcb0387a0496d0cb14332f250e8
来源:security-tracker.debian.org
链接:https://security-tracker.debian.org/tracker/CVE-2016-1181
来源:JVNDB
链接:http://jvndb.jvn.jp/jvndb/JVNDB-2016-000096
来源:bugzilla.redhat.com
链接:https://bugzilla.redhat.com/show_bug.cgi?id=1343538
来源:JVN
链接:http://jvn.jp/en/jp/JVN03188560/index.html